Update WAMP Server plus php version
Posted by: GF (---.adsl.highway.telekom.at)
Date: November 06, 2018 11:00AM

Hi,
I am sorry to bother but I am "only" a user and not so comfortable with web servers. I was happy when I managed in Feb. 2017 to install WAMP (after I had had troubles with XAMP) for my local Joomla installations. Now that I get the message that my recent php version (7.0.10) will not longer be supported, I need to update. And as I am still running WAMP Version 3.0.8 - 32bit I thought to update that also. I am scared to do so even though I could read that I need not uninstall the old WAMP version when updating to 3.1.4 with the update package. I also don't know if I need to update Apache (recently vers 2.4.23) and MySQL (recently 5.7.14). I don't see if I have MariaDB installed.

I am running Windows 7 64bit but am not sure if I installed WAMP 3.0.8 also for 64 bit.

It would be very much appreciated if I can get some hints, e.g. which files I need to download and what if the update does not work. Can I switch back to the 3.0.8 version which works by copying my backup directory back to the root?

Thank you very much in advance.
Kind regards
Gerda

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: Otomatic (Moderator)
Date: November 06, 2018 11:34AM

Hi,

You do not need to uninstall Wampserver 3.x before starting the 3.1.4 update.

- Verify that all VC ++ packages are installed and with the latest versions.
To do this, use the tool:
Checks VC++ packages installed
Do not use a previously loaded tool. Make a new download to make sure you are using the correct version.
To download missing packages, do not rely on Microsoft links, they are not reliable, download packages on http://wampserver.aviatechno.net in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

- Apply Update 3.1.4 to your version of Wampserver
Wampserver update 3.1.4

You must install each package, each update or each addon "as an administrator", so right-click the exe file and then run as Administrator.

You will be able to see all Apache, PHP, MySQL or MariaDB versions that can be added to Wampserver 3 without having to uninstall anything. It's all here WAMPserver 3 - All you need to know

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.4 32 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
Wampserver 3.1.4 64 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
PhPMyadmin 4.8.3 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: GF (---.adsl.highway.telekom.at)
Date: November 06, 2018 12:10PM

Thank you very much for the moment. I will go download the tool for the VC++ and the latest update file for WAMP and will try. Keep fingers crossed, I am always very nervous when I do such things. Usually I handle this way: Never change a running system. But updates need to be done anyway. Will keep you posted.

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: GF (---.adsl.highway.telekom.at)
Date: November 06, 2018 12:15PM

This is the result of the VC++ check:

VC_2013_REDIST_X86_MIN ID={8122DAB1-ED4D-3676-BB0A-CA368196543E}
Microsoft Visual C++ 2013 x86 Minimum Runtime - 12.0.40664
**** NOT INSTALLED ****
see: [support.microsoft.com]
----------------------------------------
VC_2013_REDIST_X86_ADD ID={D401961D-3A20-3AC7-943B-6139D5BD490A}
Microsoft Visual C++ 2013 x86 Additional Runtime - 12.0.40664
**** NOT INSTALLED ****
see: [support.microsoft.com]
----------------------------------------
VC_2017_REDIST_MIN_X86 ID={39E15475-23F2-345D-8977-B5DC47A94E26}
Visual C++ 2017 x86 Minimum Runtime - 14.15.26706
**** NOT INSTALLED ****
see: [aka.ms]
----------------------------------------
VC_2017_REDIST_ADD_X86 ID={2757496A-3E74-320A-B007-36120A9F126D}
Visual C++ 2017 x86 Additional Runtime - 14.15.26706
**** NOT INSTALLED ****
see: [aka.ms]
----------------------------------------
VC_2013_REDIST_X64_MIN ID={53CF6934-A98D-3D84-9146-FC4EDF3D5641}
Visual C++ 2013 x64 Minimum Runtime Update 5 - 12.0.40664
**** NOT INSTALLED ****
see: [support.microsoft.com]
----------------------------------------
VC_2013_REDIST_X64_ADD ID={010792BA-551A-3AC0-A7EF-0FAB4156C382}
Visual C++ 2013 x64 Additional Runtime Update 5 - 12.0.40664
**** NOT INSTALLED ****
see: [support.microsoft.com]
----------------------------------------
VC_2017_REDIST_MIN_X64 ID={C77195A4-CEB8-38EE-BDD6-C46CB459EF6E}
Microsoft Visual C++ 2017 x64 Minimum Runtime - 14.15.26706
**** NOT INSTALLED ****
see: [aka.ms]
----------------------------------------
VC_2017_REDIST_ADD_X64 ID={F106B700-BFF8-3065-B305-14D36AD40539}
Microsoft Visual C++ 2017 x64 Additional Runtime - 14.15.26706
**** NOT INSTALLED ****
see: [aka.ms]

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: Otomatic (Moderator)
Date: November 06, 2018 12:21PM

Hi,

What did I write in my previous message?
Quote
Otomatic
To download missing packages, do not rely on Microsoft links, they are not reliable, download packages on http://wampserver.aviatechno.net in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.4 32 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
Wampserver 3.1.4 64 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
PhPMyadmin 4.8.3 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: GF (---.adsl.highway.telekom.at)
Date: November 06, 2018 12:27PM

I just downloaded from your link and now am in process of installing the three missing packagers for 32 and 64 bit

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: GF (---.adsl.highway.telekom.at)
Date: November 06, 2018 01:12PM

Ok, WAMP updated and vers 3.1.4 is running. Local Joomla installations work.

Sorry for the additional questions:
1. Can I now install the latest versions of Apache, PHP, MySQL and phpmyadmin?
2. All for win32 and win 64?
3. Do I need the MariaDB?

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: Otomatic (Moderator)
Date: November 06, 2018 01:35PM

Hi,

> 1. Can I now install the latest versions of Apache, PHP, MySQL and phpmyadmin?
Yes

> 2. All for win32 and win 64?
Some "addons" have only one version valid for 32 and 64 bit versions; this is the case for PhpMyAdmin. For Apache, PHP or MySQL the 32 and 64 bit versions are different.
Nevertheless, don't worry, a 64 bit version will refuse its installation in a 32 bit Wampserver.

> 3. Do I need the MariaDB?
Not necessarily. It can be an alternative to MySQL, lighter and less resource consuming (memory and size on disk).
Depending on the choice you make, you can very easily disable MySQL or MariaDB to keep only one database manager using the "Allow MySQL" or "Allow MariaDB" options in the Right-Click Wamp settings. Besides, it's reversible.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.4 32 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
Wampserver 3.1.4 64 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
PhPMyadmin 4.8.3 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: GF (---.adsl.highway.telekom.at)
Date: November 06, 2018 06:07PM

I have updated everything, also made a backup of my databases, but now it does not work to import them into phpmyadmin 4.8.3. It seems I should have click the button yes when I was asked if I want to "express". Stupid me!

In the menu of WAMP I can see all my virtual hosts but the databases are not available.

How can I uninstall version 4.8.3 and go back to 4.6.4?



Edited 1 time(s). Last edit at 11/06/2018 06:09PM by GF.

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: Otomatic (Moderator)
Date: November 06, 2018 06:32PM

Hi,

As a reminder, PhpMyAdmin is only a graphical interface between you and MySQL.

Have you changed the MySQL version from the one you used to export your databases?

Did you have a MySQL user other than root without a password?

It is necessary to check that the databases you want to import exist before you want to import.
If they do not exist, they must be created before import.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.4 32 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
Wampserver 3.1.4 64 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
PhPMyadmin 4.8.3 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: GF (---.adsl.highway.telekom.at)
Date: November 06, 2018 07:21PM

Otomatic Wrote:
-------------------------------------------------------
Hi,

> Have you changed the MySQL version from the one
> you used to export your databases?
Via the little WAMP button: I cliked on it after I had restarted WAMP and I changed the MySQL version to 5.7.24. Same I did with Apache (to 2.4.37) and php (to 7.2.11)
>
> Did you have a MySQL user other than root without
> a password?
No, never

> It is necessary to check that the databases you
> want to import exist before you want to import.
> If they do not exist, they must be created before
> import.
I had created all three databases with the names they had and set to utf8 general ci

I first imported the databases as sql files. Now I tried with zip compressed. After the import process seemed done in my two big homepages I got a message about maximal execution time. I had changed that in the beginning of using WAMP, same with upload max. file size to a higher value. As this is long ago, I must check where I found that howtodo in the forum and see to do that in the corresponding files again.

Anyway, all tables are in the databases and the local sites seem to work.

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: Otomatic (Moderator)
Date: November 06, 2018 07:40PM

Hi,

The execution time or memory limits for PhpMyAdmin can be increased in the PhpMyAdmin alias file:

wamp(64)\alias\phpmyadmin.conf

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.4 32 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
Wampserver 3.1.4 64 bit - Apache 2.4.37 - PHP 7.2.12/7.1.24/7.0.32/5.6.38 - MySQL 5.7.23 - MariaDB 10.3.10
PhPMyadmin 4.8.3 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: GF (---.adsl.highway.telekom.at)
Date: November 06, 2018 08:05PM

THANK YOU VERY MUCH for the kind, great and fast support. I know if I run into trouble I can come again.
Wishing you a pleasant evening and a successful continuing week.
Gerda

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: GF (---.adsl.highway.telekom.at)
Date: November 08, 2018 05:47PM

Hi,

Sorry to bother again, but I have problems to update two extensions/components with this error message:

Fatal error: Allowed memory size of 536870912 bytes exhausted (tried to allocate 20480 bytes)
in www/www.xxxxxx.net/htdocs/libraries/joomla/database/driver.php on line 1709

Can you please tell me which file I must take to set the memory size higher? And to which amount shall I set it?

Thank you in advance.

Kind regards
Gerda

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: RiggsFolly (Moderator)
Date: November 08, 2018 06:14PM

This parameter is set in the PHP.INI file.

But it is easily set using the wampmanager menus.

So left click the wampmanager icon in the system tray
-> PHP
-> PHP Settings
-> memory_limit

On the memory_limit menu you will see your current setting, Click that line in the menu and you will be offered a dropdown of preset values, pick a larger one.

Then test your script, if it is still too small try a larger one.

But be warned. If you want to eventually move your site to a hosted server, if you just keep increasing the value you may find that your host will not allow the same memorty_limit on the hosted server

It is also worth mentioning, that this error can sometimes indicate you have done something wrong in your code.

---------------------------------------------------------------------------------------------
(Windows 10 Pro 64bit) (Wampserver 3.1.3 32bit & 64bit)
<Apache 2.4.29/2.2.31> <PHP 7.2/7.1/7.0/5.6/5.5/5.4> <MySQL 5.7.19/5.6.39/5.5.28>
<MariaDB 10.2.14> <phpMyAdmin4.8.1> <MySQL Workbench 6.3.10>

Read The Manuals Apache -- MySQL -- PHP -- phpMyAdmin
Get your Apache/MySQL/mariaDB/PHP ADDONs here from the WAMPServer alternate Repo
-X-X-X- Backup your MySQL databases regularly Here is How dont regret it later! Yes even when developing -X-X-X-

Options: ReplyQuote
Re: Update WAMP Server plus php version
Posted by: GF (---.adsl.highway.telekom.at)
Date: November 08, 2018 07:57PM

Thank you so much!!!

Options: ReplyQuote


Sorry, only registered users may post in this forum.